unit Unit1; // Имя модуля
// Начало объявления интерфейсов
interface

uses // После этого слова идет подключение модулей.
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ToolWin, ComCtrls;

type // После этого слова идет объявление типов.
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Label3: TLabel;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject); // Начало описания объектов TForm1
  // Здесь описываются компоненты и события.
  private // После этого слова можно описывать закрытые данные объекта
    { Private declarations }
    // Здесь можно описывать переменные и методы, доступные для объекта TForm1
  public // После этого слова можно описывать открытые данные объекта
    { Public declarations }
    // Здесь можно описывать переменные и методы доступные для любого другого модуля
  end;

var // Объявление глобальных переменных
  Form1: TForm1; // Переменная Form1 типа объекта TForm1
// Начало реализации
implementation

{$R *.dfm} // Подключение dfm файла(файл с данными о визуальных объектах)
// Сложение
procedure TForm1.Button1Click(Sender: TObject);
begin
If (Edit1.Text <> '') And (Edit2.Text <> '') then // Проверяем не пустые ли поля
Edit3.Text := FloatToStr(StrToFloat(Edit1.Text) + StrToFloat(Edit2.Text)); // Преобразуем из строкового типа Edit1 и Edit2 в дробный, а для вывода в Edit3 преобразуем из дробного в строковой.
end;
// Вычитание
procedure TForm1.Button2Click(Sender: TObject);
begin
If (Edit1.Text <> '') And (Edit2.Text <> '') then
Edit3.Text := FloatToStr(StrToFloat(Edit1.Text) - StrToFloat(Edit2.Text));
end;
// Умножение
procedure TForm1.Button3Click(Sender: TObject);
begin
If (Edit1.Text <> '') And (Edit2.Text <> '') then
Edit3.Text := FloatToStr(StrToFloat(Edit1.Text) * StrToFloat(Edit2.Text));
end;
// Деление
procedure TForm1.Button4Click(Sender: TObject);
begin
If (Edit1.Text <> '') And (Edit2.Text <> '') then
Edit3.Text := FloatToStr(StrToFloat(Edit1.Text) / StrToFloat(Edit2.Text));
end;

end.// End с точкой - конец модуля.
